Get Dashboard Summary
curl --request GET \
--url https://api.heybee.app/v1/experiments/{experiment_id}/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": {
"completed_votes": 123,
"completion_ratio": 123,
"target_votes": 123
},
"activity": [
{
"date": "<string>",
"feedback": 123,
"votes": 123
}
],
"results": {
"chi_square": 123,
"confidence_interval": [
123,
123
],
"confidence_level": 123,
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_significant": true,
"min_samples_needed": 123,
"p_value": 123,
"recommended_winner": "<string>",
"sample_a_wins": 123,
"sample_b_wins": 123,
"total_votes": 123,
"win_rate_a": 123,
"win_rate_b": 123
},
"sample_breakdown": [
{
"model_name": "<string>",
"sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wins": 123,
"pair_position": "A"
}
],
"sample_summary": {
"avg_elo": 123,
"max_elo": 123,
"min_elo": 123,
"total_comparisons": 0,
"total_samples": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Analytics
Get Dashboard Summary
Get the evaluation dashboard summary for cards and overview.
GET
/
v1
/
experiments
/
{experiment_id}
/
dashboard
Get Dashboard Summary
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Dashboard summary payload for experiment cards and overview.
Current completion snapshot.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Simple experiment dashboard result bundle.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Aggregate sample summary for workspace dashboards.
Show child attributes
Show child attributes
⌘I

